Package org.bukkit.entity

# Enum Class Axolotl.Variant

java.lang.Object
java.lang.Enum<Axolotl.Variant>
org.bukkit.entity.Axolotl.Variant

All Implemented Interfaces:
  `Serializable`, `Comparable<Axolotl.Variant>`, `Constable`

Enclosing interface:
  Axolotl

public static enum Axolotl.Variant extends Enum<Axolotl.Variant>
Represents the variant of a axolotl - ie its color.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLUE`
Blue axolotl.
`CYAN`
Cyan axolotl.
`GOLD`
Gold axolotl.
`LUCY`
Leucistic (pink) axolotl.
`WILD`
Brown axolotl.

## Method Summary

Modifier and Type
Method
Description
`static Axolotl.Variant`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Axolotl.Variant[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LUCY

public static final Axolotl.Variant LUCY
Leucistic (pink) axolotl.

### WILD

public static final Axolotl.Variant WILD
Brown axolotl.

### GOLD

public static final Axolotl.Variant GOLD
Gold axolotl.

### CYAN

public static final Axolotl.Variant CYAN
Cyan axolotl.

### BLUE

public static final Axolotl.Variant BLUE
Blue axolotl.

## Method Details

### values

public static Axolotl.Variant[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Axolotl.Variant valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null